#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBase.h"
#include "UObject/NoExportTypes.h"
#include "K37CastleSpawnData.generated.h"

USTRUCT(BlueprintType)
struct FK37CastleSpawnData : public FDBDTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName _mapId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bSpawnVista;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector _location;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FRotator _rotation;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float _uniformScale;

public:
	THEK37_API FK37CastleSpawnData();
};

FORCEINLINE uint32 GetTypeHash(const FK37CastleSpawnData) { return 0; }
